﻿using IPA;
using ScoreTracker.Common;
using IPALogger = IPA.Logging.Logger;

namespace ScoreTracker
{
    [Plugin(RuntimeOptions.SingleStartInit)]
    public class Plugin
    {
        internal static Plugin Instance { get; private set; }

        [Init]
        public Plugin(IPALogger logger)
        {
            Instance = this;
            Logger.Log = logger; // Setup the logger
        }

        [OnStart]
        public void OnApplicationStart()
        {
            Logger.Log.Info("OnApplicationStart");
        }

        [OnExit]
        public void OnApplicationQuit()
        {
            Logger.Log.Info("OnApplicationQuit");
        }

    }
}
